public class Tijdstip {
  private int uur, minuut, seconde;

  public Tijdstip(int uur, int minuut, int seconde) {
    this.uur = uur;
    this.minuut = minuut;
    this.seconde = seconde;
  }

  public void setTijdstip(int uur, int minuut, int seconde) {
    this.uur = uur;
    this.minuut = minuut;
    this.seconde = seconde;
  }

  public void volgendUur() {
    this.uur = (this.uur+1) % 24;
  }

  public void volgendeMinuut() {
    this.minuut++;
    if (this.minuut == 60) {
      this.minuut = 0;
      volgendUur();
    }
  }

  public void volgendeSeconde() {
    this.seconde++;
    if (seconde == 60) {
      this.seconde = 0;
      volgendeMinuut();
    }
  }

  @Override
  public String toString() {
    return String.format("%02d:%02d:%02d", this.uur, this.minuut, this.seconde);
  }
}
