import java.util.ArrayList;

public class Staafdiagram {
  private ArrayList<Integer> score;

  public Staafdiagram() {
    this.score = new ArrayList<Integer>();
  }

  public void voegToe(int resultaat) {
    this.score.add(resultaat);
  }

  public int hoogste() {
    int max = score.get(0);
    for (Integer s : score) {
      if (s > max) {
        max = s;
      }
    }
    return max;
  }

  public int laagste() {
    int min = score.get(0);
    for (Integer s : score) {
      if (s < min) {
        min = s;
      }
    }
    return min;
  }
  
  public void print() {
    for (Integer s : score) {
      for (int i = 0; i < s; i++) {
        System.out.print('\u25a1');
      }
      System.out.println();
    }
  }

  public void printMaxMin() {
    int min = this.laagste(), max = this.hoogste();
    for (Integer s : score) {
      char letter = '\u25a1';
      if (s == min) {
        letter = 'k';
      }
      if (s == max) {
        letter = 'g';
      }
      for (int i = 0; i < s; i++) {
        System.out.print(letter);
      }
      System.out.println();
    }
  }
}