public class Spaarrekening {
  // Attributen
  private String rekeningnummer;
  private double saldo;
  private double percentage;
  
  // Constructor
  public Spaarrekening(String rekeningnummer, double percentage) {
    this.rekeningnummer = rekeningnummer;
    this.percentage = percentage;
    saldo = 0;
   }
  
  // Methoden
  public double getSaldo() {
    return saldo;
  }
  
  public void stort(double bedrag) {
    saldo += bedrag;
  }
  
  public double neemOp(double bedrag) {
    saldo -= bedrag;
    return bedrag;
  }
  
  public void print() {
    System.out.println("Spaarrekening, nummer " + rekeningnummer);
    System.out.printf("Saldo = %.2f%n", saldo);
    System.out.printf("Rente: %.1f%%%n", percentage);
    System.out.println("------------------");
  }

  public void schrijfRenteBij() {
    double rente = saldo * percentage / 100;
    saldo += rente;
  }
}
