/**
 * OpgH0506
 */

enum Maand {jan, feb, mrt, apr, mei, jun , jul, aug, sep, okt, nov, dec};

public class OpgH0506 {
  public static void main(String[] args) {
    System.out.println("Alternatief 1");
    schrijfDatum(1, 11, 1994);
    schrijfDatum(31, 1, 50);
    schrijfDatum(29, 7, 21);

    System.out.println("\nAlternatief 2");
    schrijfDatum2(1, 11, 1994);
    schrijfDatum2(31, 1, 50);
    schrijfDatum2(29, 7, 21);

    System.out.println("\nAlternatief 3");
    schrijfDatum3(1, 11, 1994);
    schrijfDatum3(31, 1, 50);
    schrijfDatum3(29, 7, 21);
  }

  // Alternatief 1: met switch-statement
  public static void schrijfDatum(int dag, int maand, int jaar) {   
    String m = "";
    switch (maand) {
      case 1: m = "januari"; break;
      case 2: m = "februari"; break;
      case 3: m = "maart"; break;
      case 4: m = "april"; break;
      case 5: m = "mei"; break;
      case 6: m = "juni"; break;
      case 7: m = "juli"; break;
      case 8: m = "augustus"; break;
      case 9: m = "september"; break;
      case 10: m = "oktober"; break;
      case 11: m = "november"; break;
      case 12: m = "december"; break;
    }
    if (jaar < 100) {
      if (jaar >= 30) {
        jaar += 1900;
      }
      else {
        jaar += 2000;
      }
    }
    System.out.printf("%2d %s %d\n", dag, m, jaar);
  }

  // Alternatief 2: met String-array
  public static void schrijfDatum2(int dag, int maand, int jaar) {   
    String[] m = {"januari", "februari", "maart", "april", 
                  "mei", "juni", "juli", "augustus", "september", 
                  "oktober", "november", "december"
                };
    if (jaar < 100) {
      if (jaar >= 30) {
        jaar += 1900;
      }
      else {
        jaar += 2000;
      }
    }
    System.out.printf("%2d %s %d\n", dag, m[maand-1], jaar);
  }

  // Alternatief 3: met enum
  public static void schrijfDatum3(int dag, int maand, int jaar) {   
    if (jaar < 100) {
      if (jaar >= 30) {
        jaar += 1900;
      }
      else {
        jaar += 2000;
      }
    }
    System.out.printf("%2d %s %d\n", dag, Maand.values()[maand-1], jaar);
  }
}