public class Staafdiagram {
  private int[] score;

  public Staafdiagram(int[] score) {
    this.score = score;
  }

  public int hoogste() {
    int max = score[0];
    for (int i = 1; i < score.length; i++) {
      if (score[i] > max) {
        max = score[i];
      }
    }
    return max;
  }

  public int laagste() {
    int min = score[0];
    for (int i = 1; i < score.length; i++) {
      if (score[i] < min) {
        min = score[i];
      }
    }
    return min;
  }
  
  public void print() {
    for (int r = 0; r < this.score.length; r++ ) {
      for (int i = 0; i < this.score[r]; i++) {
        System.out.print('\u25a1');
      }
      System.out.println();
    }
  }

  public void printMaxMin() {
    int min = laagste(), max = hoogste();
    for (int r = 0; r < this.score.length; r++ ) {
      char letter = '\u25a1';
      if (score[r] == min) {
        letter = 'k';
      }
      if (score[r] == max) {
        letter = 'g';
      }
      for (int i = 0; i < this.score[r]; i++) {
        System.out.print(letter);
      }
      System.out.println();
    }
  }
}