public class Voorraad {
  int[][] matrix;

  public Voorraad(int[][] matrix) {
    this.matrix = matrix;
  }

  public void print() {
    for (int r = 0; r < matrix.length; r++) {
      for (int k = 0; k < matrix[r].length; k++) {
        System.out.printf("%3d", matrix[r][k]);
      }
      System.out.println();
    }
  }

  public void printTotaal() {
    for (int r = 0; r < matrix.length; r++) {
      for (int k = 0; k < matrix[r].length; k++) {
        System.out.printf("%3d", matrix[r][k]);
      }
      System.out.printf(" |%4d%n", rijtotaal(r));
    }

    for (int k = 0; k < matrix[0].length; k++) {
      System.out.printf("%3s", "-");
    }
    System.out.printf(" |%4s%n", "-");
    for (int k = 0; k < matrix[0].length; k++) {
      System.out.printf("%3d", kolomtotaal(k));
    }
    System.out.printf(" |%4d%n", totaal());
  }

  public int totaal() {
    int som = 0;
    for (int r = 0; r < matrix.length; r++) {
      for (int k = 0; k < matrix[r].length; k++) {
        som += matrix[r][k];
      }
    }
    return som;
  }

  public int rijtotaal(int rijnr) {
    int som = 0;
    for (int k = 0; k < matrix[rijnr].length; k++) {
      som += matrix[rijnr][k];
    }
    return som;
  }

  public int kolomtotaal(int kolomnr) {
    int som = 0;
    for (int r = 0; r < matrix.length; r++) {
      som += matrix[r][kolomnr];
    }
    return som;
  }


}
