public class Betaalrekening {
  // Attributen
  private String rekeningnummer;
  private double saldo;
  
  // Constructors
  public Betaalrekening(String rekeningnummer) {
    this.rekeningnummer = rekeningnummer;
    saldo = 0;
  }
  
  public Betaalrekening(String nr, double eersteInleg) {
    this.rekeningnummer = nr;
    this.saldo  = eersteInleg;
  }

  // Methoden
  public double getSaldo() {
    return saldo;
  }
  
  public void stort(double bedrag) {
    saldo += bedrag;
  }
  
  public double neemOp(double bedrag) {
    saldo -= bedrag;
    return bedrag;
  }
  
  public void print() {
    System.out.println( "Betaalrekening, nummer " + rekeningnummer );
    System.out.printf( "Saldo = %.2f%n", saldo );
    System.out.println( "------------------" );
  }
}
